### Method

# Hinoko FwIsoIrMultiple get_payload

since: 0.7

#### Declaration [src]

    void
    hinoko_fw_iso_ir_multiple_get_payload (
      HinokoFwIsoIrMultiple* self,
      guint index,
      const guint8** payload,
      guint* length
    )

#### Description [src]

Retrieve data for packet indicated by the index parameter. The data has isochronous packet header in its first quadlet, timestamp in its last quadlet. The rest is data of isochronous packet.

Available since: 0.7

#### Parameters

`index`

  Type: `guint`

  The index of packet available in this interrupt.

`payload`

  Type: An array of `guint8*`

  The array with data frame for payload of IR context.

  The argument will be set by the function.
  The length of the array is specified in the `length` argument.
  The returned data is owned by the instance.

`length`

  Type: `guint*`

  The number of bytes in the above `payload`.

  The argument will be set by the function.